var c = argument[0];

var prev_color = draw_get_colour();
draw_set_color(c);

var offset_x = GRID_SIZE / 2;
var offset_y = GRID_SIZE / 2;

draw_circle(x + offset_x, y + offset_y, 4, false);

// Check if we should draw a line to the north
if (get_trunk(grid_x, grid_y - 1) != noone) {
    draw_line(x + offset_x, y + offset_y, x + offset_x, (y - GRID_SIZE) + offset_y);
}

// Check if we should draw a line to the south
if (get_trunk(grid_x, grid_y + 1) != noone) {
    draw_line(x + offset_x, y + offset_y, x + offset_x, (y + GRID_SIZE) + offset_y);
}

// Check if we should draw a line to the west
if (get_trunk(grid_x - 1, grid_y) != noone) {
    draw_line(x + offset_x, y + offset_y, (x - GRID_SIZE) + offset_x, y + offset_y);
}

// Check if we should draw a line to the east
if (get_trunk(grid_x + 1, grid_y) != noone) {
    draw_line(x + offset_x, y + offset_y, (x + GRID_SIZE) + offset_x, y + offset_y);
}

draw_set_color(prev_color);
